Bug 493856

Summary: S-c-tools cleanup: bad spacings, alignment, layout
Product: [Fedora] Fedora Reporter: Roman Rakus <rrakus>
Component: system-config-keyboardAssignee: Lubomir Rintel <lkundrak>
Status: NEW --- QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: rawhideCC: jreznik, lkundrak, tsmetana
Target Milestone: ---Keywords: FutureFeature
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 493601    

Description Roman Rakus 2009-04-03 06:03:21 EDT
Description of problem
A clean, logical dialog layout helps the user to quickly understand what information is required from them. It's very important to have proper spacing between window borders, controls and separators (if used), controls alignment etc.

How reproducible:


Steps to Reproduce
1. invoke any dialog

Actual results
Incorrect controls spacing and alignment.

Expected results
Correct window/dialog layout.

Additional info
Look at GNOME Human Interface Guidelines 2.2 [1] [2] [3]

[1] http://library.gnome.org/devel/hig-book/stable/design-window.html.en 
[2] http://library.gnome.org/devel/hig-book/stable/windows-dialog.html.en 
[3] http://library.gnome.org/devel/hig-book/stable/windows-alert.html.en#alert-spacing
Comment 1 Lubomir Rintel 2009-04-03 06:13:11 EDT
Roman: I'm in the middle of rewriting the tool (to use x keyboard configuration instead of rhpl's obsolete console<->x layout mapping), involving several layout changes.

Note that the main use of the tool nowadays is anaconda keyboard selection; it is specifically disabled from being in GNOME and KDE menu, since it is superseded by GNOME and KDE tools, so I'm not sure whether GNOME UI guidelines are that relevant.

What do you think?

By the way, I don't see this blocking a release. I understand you want to have this finished as part of some s-c- tool rewriting effort? Any timeframe?
Comment 2 Roman Rakus 2009-04-06 12:07:10 EDT
One of the goal is consistent look and feel. Will be there any system-config-keyboard? Or just some kind of anaconda-inside-tool? If there will be s-c-keyboard, it should satisfy this s-c-tool cleanup.
Comment 3 Jaroslav Reznik 2009-04-07 03:25:44 EDT
S-c-keyboard is already used as keyboard selection tool in Anaconda but some people are still using it as standalone tool. 

We are not fully implementing Gnome HIG but we'd like to select some of these Gnome rules to achieve well designed UI and consistent look as Roman said. If you're working on rewriting this tool, feel free to close this bug and once you have something "usable", don't hesitate to ask us for rereview (or for any help). Do you have ETA for this rewrite?

Thanks
Comment 4 Lubomir Rintel 2009-04-07 03:43:55 EDT
(In reply to comment #3)
> S-c-keyboard is already used as keyboard selection tool in Anaconda but some
> people are still using it as standalone tool. 

Seriously, I don't care about desktop experience of twm users ;)
s-k-c is really obsolete as a keyboard selection tool and highly redundant in any modern desktop environment.

> We are not fully implementing Gnome HIG but we'd like to select some of these
> Gnome rules to achieve well designed UI and consistent look as Roman said. If
> you're working on rewriting this tool, feel free to close this bug and once you
> have something "usable", don't hesitate to ask us for rereview (or for any
> help).

Of course I'm not going to close this before it's done.

> Do you have ETA for this rewrite?

F11. (Hey, I asked first!)
Comment 5 Jaroslav Reznik 2009-04-07 06:42:02 EDT
(In reply to comment #4)
> (In reply to comment #3)
> > S-c-keyboard is already used as keyboard selection tool in Anaconda but some
> > people are still using it as standalone tool. 
> 
> Seriously, I don't care about desktop experience of twm users ;)
> s-k-c is really obsolete as a keyboard selection tool and highly redundant in
> any modern desktop environment.

Exactly my words...

> > We are not fully implementing Gnome HIG but we'd like to select some of these
> > Gnome rules to achieve well designed UI and consistent look as Roman said. If
> > you're working on rewriting this tool, feel free to close this bug and once you
> > have something "usable", don't hesitate to ask us for rereview (or for any
> > help).
> 
> Of course I'm not going to close this before it's done.

Ok.

> > Do you have ETA for this rewrite?
> 
> F11. (Hey, I asked first!)  

Great! F11 is "we hope, but don't believe in" for us ;-)